import { Form } from "react-bootstrap";
import { Controller, useForm } from "react-hook-form";
import { useTranslation } from "react-i18next";
import validator from "validator";

type FormData = {
  id: number;
  name: string;
};

function EditSports(props: any) {

  const {
    control,
    handleSubmit,
    formState: { errors },
  } = useForm<FormData>({
    mode: "onBlur"
  });
  const { t } = useTranslation();

  const onSubmit = (data: FormData) => {
    try {
      /**
       * Logic to handle authentication. Should be separated into a service in another file.
       * await login(data);
       *
       *
       * navigate("/boatManager");
       */
    } catch (e) {
      alert("error");
    }
  };

  return (
    <Form onSubmit={handleSubmit(onSubmit)}>
      {props.id &&
        <Controller
          name="id"
          control={control}
          defaultValue= {props.id}
          render={({ field }) => (
            <div className="mb-2">
              <Form.Label >{t("sports.Id")}</Form.Label>
              <Form.Control disabled type="text" {...field} />
            </div>
          )}
          rules={{
            required: {
              value: true,
              message: t("boatTypeOverview.messages.required", {
                val: t("boatTypeOverview.Id"),
              }),
            }
          }}
        />
      }
      <Controller
        name="name"
        control={control}
        defaultValue={props.name}
        render={({ field }) => (
          <div className="mb-2">
            <Form.Label>{t("sports.Name")}</Form.Label>
            <Form.Control type="text" {...field} isInvalid={!!errors.name}/>
            <Form.Control.Feedback type="invalid">
              {errors.name?.message}
            </Form.Control.Feedback>
          </div>
        )}
        rules={{
          required: {
            value: true,
            message: t("Sports.messages.required", {
              val: t("Sports.Name"),
            }),
          },
          validate: (value: string) =>
          validator.isAlphanumeric(value) ||
          t("Sports.messages.required").toString(),
        }}
      />
    </Form>
  );
}

export default EditSports;
